%define __spec_install_post %{nil}

Summary: Webmin module for 'Virtualmin Virtual Servers (GPL)'
Name: wbm-virtual-server
Version: 4.03.gpl
Release: 1
PreReq: /bin/sh /usr/bin/perl /usr/libexec/webmin
Requires: /bin/sh /usr/bin/perl /usr/libexec/webmin 
AutoReq: 0
License: Freeware
Group: System/Tools
Source: virtual-server.tar.gz
Vendor: Jamie Cameron
BuildRoot: /tmp/%{name}-%{version}
BuildArchitectures: noarch




%description
Webmin module for 'Virtualmin Virtual Servers (GPL)' in RPM format

%prep
%setup -n virtual-server

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl -ne 'chop; open(F,$_); @l=<F>; close(F); $l[0] = "#!/usr/bin/perl$1
" if ($l[0] =~ /#!\S*perl\S*(.*)/); open(F,">$_"); print F @l; close(F)'
(find . -name '*.cgi' ; find . -name '*.pl') | xargs chmod +x

%install
mkdir -p %{buildroot}/usr/libexec/webmin/virtual-server
cp -rp * %{buildroot}/usr/libexec/webmin/virtual-server
echo rpm >%{buildroot}/usr/libexec/webmin/virtual-server/install-type

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
/usr/libexec/webmin/virtual-server

%pre
# Check if webmin/usermin is installed
if [ ! -r /etc/webmin/config -o ! -d /usr/libexec/webmin ]; then
	echo "Webmin does not appear to be installed on your system."
	echo "This RPM cannot be installed unless the RPM version of Webmin"
	echo "is installed first."
	exit 1
fi
if [ "net useradmin quota webmin mount init acl cron mailboxes phpini procmail" != "" -a "" != 1 ]; then
	# Check if depended webmin/usermin modules are installed
	for d in net useradmin quota webmin mount init acl cron mailboxes phpini procmail; do
		if [ ! -r /usr/libexec/webmin/$d/module.info ]; then
			echo "This Webmin module depends on the module $d, which is"
			echo "not installed on your system."
			exit 1
		fi
	done
fi
# Check if this module is already installed
if [ -d /usr/libexec/webmin/virtual-server -a "$1" = "1" -a "1" != "1" ]; then
	echo "This Webmin module is already installed on your system."
	exit 1
fi

%post
if [ "1" = "1" ]; then
	# Copy config file to /etc/webmin or /etc/usermin
	os_type=`grep "^os_type=" /etc/webmin/config | sed -e 's/os_type=//g'`
	os_version=`grep "^os_version=" /etc/webmin/config | sed -e 's/os_version=//g'`
	/usr/bin/perl /usr/libexec/webmin/copyconfig.pl $os_type $os_version /usr/libexec/webmin /etc/webmin virtual-server

	# Update the ACL for the root user, or the first user in the ACL
	grep "^root:" /etc/webmin/webmin.acl >/dev/null
	if [ "$?" = "0" ]; then
		user=root
	else
		user=`head -1 /etc/webmin/webmin.acl | cut -f 1 -d :`
	fi
	mods=`grep $user: /etc/webmin/webmin.acl | cut -f 2 -d :`
	echo $mods | grep " virtual-server" >/dev/null
	if [ "$?" != "0" ]; then
		grep -v ^$user: /etc/webmin/webmin.acl > /tmp/webmin.acl.tmp
		echo $user: $mods virtual-server > /etc/webmin/webmin.acl
		cat /tmp/webmin.acl.tmp >> /etc/webmin/webmin.acl
		rm -f /tmp/webmin.acl.tmp
	fi
fi
if [ "" != "" -a "" = "1" ]; then
	# Activate this theme
	grep -v "^preroot=" /etc/webmin/miniserv.conf >/etc/webmin/miniserv.conf.tmp
	(cat /etc/webmin/miniserv.conf.tmp ; echo preroot=virtual-server) > /etc/webmin/miniserv.conf
	rm -f /etc/webmin/miniserv.conf.tmp
	grep -v "^theme=" /etc/webmin/config >/etc/webmin/config.tmp
	(cat /etc/webmin/config.tmp ; echo theme=virtual-server) > /etc/webmin/config
	rm -f /etc/webmin/config.tmp
	(/etc/webmin/stop && /etc/webmin/start) >/dev/null 2>&1
fi
rm -f /etc/webmin/module.infos.cache

# Run post-install function
if [ "webmin" = "webmin" ]; then
	cd /usr/libexec/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/libexec/webmin/run-postinstalls.pl virtual-server
fi

# Run post-install shell script
if [ -r "/usr/libexec/webmin/virtual-server/postinstall.sh" ]; then
	cd /usr/libexec/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/libexec/webmin/virtual-server/postinstall.sh
fi

%preun
# De-activate this theme, if in use and if we are not upgrading
if [ "" = "1" -a "$1" = "0" ]; then
	grep "^preroot=virtual-server" /etc/webmin/miniserv.conf >/dev/null
	if [ "$?" = "0" ]; then
		grep -v "^preroot=virtual-server" /etc/webmin/miniserv.conf >/etc/webmin/miniserv.conf.tmp
		(cat /etc/webmin/miniserv.conf.tmp) > /etc/webmin/miniserv.conf
		rm -f /etc/webmin/miniserv.conf.tmp
		grep -v "^theme=virtual-server" /etc/webmin/config >/etc/webmin/config.tmp
		(cat /etc/webmin/config.tmp) > /etc/webmin/config
		rm -f /etc/webmin/config.tmp
		(/etc/webmin/stop && /etc/webmin/start) >/dev/null 2>&1
	fi
fi
# Run the pre-uninstall script, if we are not upgrading
if [ "webmin" = "webmin" -a "$1" = "0" -a -r "/usr/libexec/webmin/virtual-server/uninstall.pl" ]; then
	cd /usr/libexec/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/libexec/webmin/run-uninstalls.pl virtual-server
fi
/bin/true

%postun
